pkg_info(1)

NAME
pkg_info - a utility for displaying information on software packages.

SYNOPSIS
pkg_info [-cdDikrRpLqImv] [-e package] [-l prefix] pkg-name [pkg-name ...]
pkg_info -a [flags]

DESCRIPTION
The pkg_info command is used to dump out information for packages, either packed up in files or already installed on the system with the pkg_create(1) command.

OPTIONS
The following command line options are supported.

pkg-name ...
    The named packages are described. A package name may either be the name of an installed package, the pathname to a package distribution file or a URL to an ftp available package.

-a  Show all currently installed packages.

-v  Turns on verbose output.

-p  Show the installation prefix for each package.

-q  Be ``quiet'' in emitting report headers and such, just dump the raw info (basically, assume a non-human reading).

-c  Show the comment (one liner) field for each package.

-d  Show the long description field for each package.

-D  Show the install-message file for each package.

-f  Show the packing list instructions for each package.

-i  Show the install script (if any) for each package.

-k  Show the de-install script (if any) for each package.

-r  Show the requirements script (if any) for each package.

-m  Show the mtree file (if any) for each package.

-L  Show the files within each package. This is different from just viewing the packing list, since full pathnames for everything are generated.

-e pkg-name
    If the package identified by pkg-name is currently installed, return 0, otherwise return 1. This option allows you to easily test for the presence of another (perhaps prerequisite) package from a script.

-l str
    Prefix each information catagory header (see -q) shown with str. This is primarily of use to front-end programs who want to request a lot of different information fields at once for a package, but don't necessary want the output intermingled in such a way that they can't organize it. This lets you add a special token to the start of each field.

-t template
    Use template as the input to mktemp(3) when creating a ``staging area.'' By default, this is the string /tmp/instmp.XXXXXX, but it may be necessary to override it in the situation where space in your /tmp directory is limited. Be sure to leave some number of `X' characters for mktemp(3) to fill in with a unique ID.
    Note: This should really not be necessary with pkg_info, since very little information is extracted from each package and one would have to have a very small /tmp indeed to overflow it.

TECHNICAL DETAILS
Package info is either extracted from package files named on the command line, or from already installed package information in /var/db/pkg/<pkg-name>.

SEE ALSO
pkg_add(1), pkg_create(1), pkg_delete(1), mktemp(3), mtree(8).

AUTHORS
Jordan Hubbard
    most of the work
John Kohl
    refined it for NetBSD

BUGS
Sure to be some.